Package org.apache.felix.http.base.internal.runtime

## Class ServletContextHelperInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<org.osgi.service.http.context.ServletContextHelper>
  - - org.apache.felix.http.base.internal.runtime.ServletContextHelperInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<org.osgi.service.http.context.ServletContextHelper>>`

    public final class ServletContextHelperInfo
    extends AbstractInfo<org.osgi.service.http.context.ServletContextHelper>

Provides registration information for a `ServletContextHelper`

### Constructor Summary

Constructors
`ServletContextHelperInfo​(int serviceRanking, long serviceId, String name, String path, Map<String,​String> initParams)`
`ServletContextHelperInfo​(org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getInitParameters()` Returns an unmodifiable map of the parameters.
`String` `getName()`
`String` `getPath()`
`boolean` `isSame​(AbstractInfo<org.osgi.service.http.context.ServletContextHelper> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletContextHelperInfo

    public ServletContextHelperInfo​(org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref)

#### ServletContextHelperInfo

    public ServletContextHelperInfo​(int serviceRanking,
                                    long serviceId,
                                    String name,
                                    String path,
                                    Map<String,​String> initParams)

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `AbstractInfo<org.osgi.service.http.context.ServletContextHelper>`

#### getName

    public String getName()

#### getPath

    public String getPath()

#### getInitParameters

    public Map<String,​String> getInitParameters()

Returns an unmodifiable map of the parameters.

Returns:

#### isSame

    public boolean isSame​(AbstractInfo<org.osgi.service.http.context.ServletContextHelper> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `AbstractInfo<org.osgi.service.http.context.ServletContextHelper>`